Subject: Re: linux-next: build failure after merge of the drm-exynos tree

From: Inki Dae <[email-masked]>
Date: Wed, 24 Jun 2015 10:21:20 +0900

Hi Dave and Stephen,

On 2015년 06월 24일 10:01, Stephen Rothwell wrote:
> Hi Dave,
> 
> On Tue, 23 Jun 2015 11:52:45 +1000 Stephen Rothwell <[email-masked]> wrote:
>>
>> After merging the drm-exynos tree, today's linux-next build (x86_64
>> allmodconfig) failed like this:
>>
>> drivers/media/i2c/adv7604.o: In function `of_graph_get_endpoint_by_regs':
>> adv7604.c:(.text+0x586c): multiple definition of `of_graph_get_endpoint_by_regs'
>> drivers/media/i2c/adv7343.o:adv7343.c:(.text+0xa13): first defined here
>> drivers/media/platform/soc_camera/atmel-isi.o: In function `of_graph_get_endpoint_by_regs':
>> atmel-isi.c:(.text+0x1ec9): multiple definition of `of_graph_get_endpoint_by_regs'
>> drivers/media/platform/soc_camera/soc_camera.o:soc_camera.c:(.text+0x2ce3): first defined here
>> drivers/media/platform/soc_camera/rcar_vin.o: In function `of_graph_get_endpoint_by_regs':
>> rcar_vin.c:(.text+0x307c): multiple definition of `of_graph_get_endpoint_by_regs'
>> drivers/media/platform/soc_camera/soc_camera.o:soc_camera.c:(.text+0x2ce3): first defined here
>>
>> Caused by commit:
>>
>>   a0f7001c18ca ("of: add helper for getting endpoint node of specific identifiers")
> 
> This failure is now in the drm tree (where above patch is commit
> 8ccd0d0ca041).  I have used the patch from Inki for today.

As you know, I posted below patch which fixes the build error,
	[PATCH] of: fix a build error to f_graph_get_endpoint_by_regs function

However, I think we need Acked-by from device tree maintainer to merge
it to drm-next.

Thanks,
Inki Dae